***

title: get_next_member
slug: /reference/python/rest/queues/get-next-member
description: Retrieve the next member in the queue.
max-toc-depth: 3
---------------------

For a complete index of all SignalWire documentation pages, fetch https://signalwire.com/docs/llms.txt

Retrieve the next member in the queue (the member at the front).

<EndpointSchemaSnippet endpoint="GET /api/relay/rest/queues/{queue_id}/members/next" />

## **Response Example**

<EndpointResponseSnippet endpoint="GET /api/relay/rest/queues/{queue_id}/members/next" />

## **Example**

```python {9}
from signalwire.rest import RestClient

client = RestClient(
    project="your-project-id",
    token="your-api-token",
    host="your-space.signalwire.com",
)

next_member = client.queues.get_next_member("queue-id")
print("Next caller:", next_member.get("call_id"))
```